#include "csapp.h"

int main() {
  if (Fork() == 0) {
    printf("c1\n");
    printf("c2\n");
  } else {
    printf("p\n");
  }
 
  return 1;
}


/*
            c1     c2
       ---->*----->*------->* exit
       |
       |          p 
  ---->*--------->*------->* exit
      fork

 =>

  c1 followed by c2, with p before, after, or in between

  When using `many_times`, add fflush(NULL); after the c1 printout
  to see all possibilities.
*/
