#include "csapp.h"

int main() {
  if (Fork() == 0) {
    printf("c\n");
    fflush(NULL);
  } else {
    printf("p\n");
  }

  printf("done\n");
 
  return 1;
}

/*
            c     done
       ---->*----->*------->* exit
       |
       |     p     done
  ---->*---->*----->*----->* exit
      fork

 =>

  c, done, p, done;
  c, p, done, done;
  p, c, done, done; or
  p, done, c, done

*/
